import request from '@/utils/request'

// 创建企业信息表（每个租户的下属企业信息）
export function createCompany(data) {
  return request({
    url: '/base/company/create',
    method: 'post',
    data: data
  })
}

// 更新企业信息表（每个租户的下属企业信息）
export function updateCompany(data) {
  return request({
    url: '/base/company/update',
    method: 'put',
    data: data
  })
}

// 删除企业信息表（每个租户的下属企业信息）
export function deleteCompany(id) {
  return request({
    url: '/base/company/delete?id=' + id,
    method: 'delete'
  })
}

// 获得企业信息表（每个租户的下属企业信息）
export function getCompany(id) {
  return request({
    url: '/base/company/get?id=' + id,
    method: 'get'
  })
}

// 获得企业信息表（每个租户的下属企业信息）分页
export function getCompanyPage(params) {
  return request({
    url: '/base/company/page',
    method: 'get',
    params
  })
}
// 导出企业信息表（每个租户的下属企业信息） Excel
export function exportCompanyExcel(params) {
  return request({
    url: '/base/company/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

// 创建企业资质
export function createCompanyQuals(data) {
  return request({
    url: '/base/company-quals/create',
    method: 'post',
    data: data
  })
}

// 更新企业资质
export function updateCompanyQuals(data) {
  return request({
    url: '/base/company-quals/update',
    method: 'put',
    data: data
  })
}

// 删除企业资质
export function deleteCompanyQuals(id) {
  return request({
    url: '/base/company-quals/delete?id=' + id,
    method: 'delete'
  })
}

// 获得企业资质
export function getCompanyQuals(id) {
  return request({
    url: '/base/company-quals/get?id=' + id,
    method: 'get'
  })
}

// 获得企业资质分页
export function getCompanyQualsPage(params) {
  return request({
    url: '/base/company-quals/list',
    method: 'get',
    params
  })
}

// 获得租户下的所有企业
export function getCompanyList(){
  return request({
    url: "/base/company/list",
    method: 'get'
  })
}

// 当前登录用户的门店信息
export function getNowCompany(){
  return request({
    url: "/base/company/now",
    method: "get"
  })
}
